Pdf Credit Note
curl --request POST \
--url https://api.jtl-cloud.com/erp/creditNotes/{creditNoteId}/output/pdf \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/creditNotes/{creditNoteId}/output/pdf"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/creditNotes/{creditNoteId}/output/pdf', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}creditnote
Pdf Credit Note
Execute the pdf creation of a CreditNote
POST
/
creditNotes
/
{creditNoteId}
/
output
/
pdf
Pdf Credit Note
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Query Parameters
Response
The Filestream of the Created PDF
Was this page helpful?
⌘I